SRD Standelone programmation box: tCR95HFCtrl Struct Reference

| SRD Standelone programmation box 2.0 (16/11/15 10:00:00) Documentation of the SRD standelone programmation box

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Enumerations Enumerator Macros Pages
Data Fields
tCR95HFCtrl Struct Reference

Define the structure used to control the CR95HF module. More...

`#include "CR95HF.h"`

## Data Fields

union {
struct {
unsigned short isWorking: 1
unsigned short timeout: 1
unsigned short anwserReceived: 1
unsigned short sizeReceive: 1
unsigned short RSVD: 12
} bits
unsigned short all
} | flags
char | receiveBuf [CR95HF_RX_BUF_SIZE]
unsigned short | rxPos
char | answerKeyWord [CR95HF_ANSWER_BUF_SIZE]
unsigned short | answerSize
unsigned short | waitForNbrRx
unsigned long | refMs
unsigned long | timeoutMs
unsigned short | completionTimeMs
tCR95HFCommand | command
unsigned long | commandState
unsigned long | resultCode
unsigned short | deviceRegAddr
unsigned long | deviceReg
char | bridgeCommand [CR95HF_ANSWER_BUF_SIZE]
unsigned short | bridgeCommandLength

## Detailed Description

Define the structure used to control the CR95HF module.

Definition at line 199 of file CR95HF.h.

## Field Documentation

unsigned short tCR95HFCtrl::all

Definition at line 208 of file CR95HF.h.

Referenced by CR95HFBridgeStateMachine(), CR95HFCommandManager(), CR95HFEchoStateMachine(), CR95HFField15693StateMachine(), CR95HFFieldOffStateMachine(), CR95HFHibernateStateMachine(), CR95HFInit(), CR95HFManager(), CR95HFReadStateMachine(), CR95HFStartBridge(), CR95HFStartEcho(), CR95HFStartField15693(), CR95HFStartFieldOff(), CR95HFStartHibernate(), CR95HFStartRead(), CR95HFStartWrite(), and CR95HFWriteStateMachine().

char tCR95HFCtrl::answerKeyWord[CR95HF_ANSWER_BUF_SIZE]

KeyWord use to indicate that the answer are received

Definition at line 213 of file CR95HF.h.

Referenced by CR95HFManager(), and CR95HFWriteCommand().

unsigned short tCR95HFCtrl::answerSize

Size of the answer

Definition at line 214 of file CR95HF.h.

Referenced by CR95HFManager(), and CR95HFWriteCommand().

unsigned short tCR95HFCtrl::anwserReceived

answer Received

Definition at line 204 of file CR95HF.h.

struct { ... } tCR95HFCtrl::bits

Referenced by CR95HFEchoStateMachine(), CR95HFField15693StateMachine(), CR95HFFieldOffStateMachine(), CR95HFManager(), CR95HFReadStateMachine(), CR95HFWriteCommand(), and CR95HFWriteStateMachine().

char tCR95HFCtrl::bridgeCommand[CR95HF_ANSWER_BUF_SIZE]

Definition at line 224 of file CR95HF.h.

Referenced by CR95HFBridgeStateMachine(), and CR95HFStartBridge().

unsigned short tCR95HFCtrl::bridgeCommandLength

Definition at line 225 of file CR95HF.h.

Referenced by CR95HFBridgeStateMachine(), and CR95HFStartBridge().

tCR95HFCommand tCR95HFCtrl::command

Current command (state machine)

Definition at line 219 of file CR95HF.h.

Referenced by CR95HFBridgeStateMachine(), CR95HFCommandManager(), CR95HFEchoStateMachine(), CR95HFField15693StateMachine(), CR95HFFieldOffStateMachine(), CR95HFHibernateStateMachine(), CR95HFInit(), CR95HFManagerIsReady(), CR95HFReadStateMachine(), CR95HFStartBridge(), CR95HFStartEcho(), CR95HFStartField15693(), CR95HFStartFieldOff(), CR95HFStartHibernate(), CR95HFStartRead(), CR95HFStartWrite(), and CR95HFWriteStateMachine().

unsigned long tCR95HFCtrl::commandState

Current state of the current state machine

Definition at line 220 of file CR95HF.h.

Referenced by CR95HFBridgeStateMachine(), CR95HFCommandManager(), CR95HFEchoStateMachine(), CR95HFField15693StateMachine(), CR95HFFieldOffStateMachine(), CR95HFHibernateStateMachine(), CR95HFInit(), CR95HFReadStateMachine(), CR95HFStartBridge(), CR95HFStartEcho(), CR95HFStartField15693(), CR95HFStartFieldOff(), CR95HFStartHibernate(), CR95HFStartRead(), CR95HFStartWrite(), and CR95HFWriteStateMachine().

unsigned short tCR95HFCtrl::completionTimeMs

Minimum completion time for the current command

Definition at line 218 of file CR95HF.h.

Referenced by CR95HFBridgeStateMachine(), CR95HFCommandManager(), CR95HFEchoStateMachine(), CR95HFField15693StateMachine(), CR95HFFieldOffStateMachine(), CR95HFHibernateStateMachine(), CR95HFInit(), CR95HFManager(), CR95HFReadStateMachine(), CR95HFWriteCommand(), and CR95HFWriteStateMachine().

unsigned long tCR95HFCtrl::deviceReg

Device read result or write data

Definition at line 223 of file CR95HF.h.

Referenced by CR95HFReadStateMachine(), CR95HFStartWrite(), CR95HFWriteStateMachine(), RFIDReadStateMachine(), and RFIDWriteStateMachine().

unsigned short tCR95HFCtrl::deviceRegAddr

Device register address

Definition at line 222 of file CR95HF.h.

Referenced by CR95HFReadStateMachine(), CR95HFStartRead(), CR95HFStartWrite(), and CR95HFWriteStateMachine().

union { ... } tCR95HFCtrl::flags

Referenced by CR95HFBridgeStateMachine(), CR95HFCommandManager(), CR95HFEchoStateMachine(), CR95HFField15693StateMachine(), CR95HFFieldOffStateMachine(), CR95HFHibernateStateMachine(), CR95HFInit(), CR95HFManager(), CR95HFReadStateMachine(), CR95HFStartBridge(), CR95HFStartEcho(), CR95HFStartField15693(), CR95HFStartFieldOff(), CR95HFStartHibernate(), CR95HFStartRead(), CR95HFStartWrite(), CR95HFWriteCommand(), and CR95HFWriteStateMachine().

unsigned short tCR95HFCtrl::isWorking

0 if no command are currently executed

Definition at line 202 of file CR95HF.h.

char tCR95HFCtrl::receiveBuf[CR95HF_RX_BUF_SIZE]

Receive buffer

Definition at line 211 of file CR95HF.h.

Referenced by CR95HFManager(), CR95HFReadAnswer(), CR95HFReadStateMachine(), CR95HFWriteCommand(), and RFIDBridgeStateMachine().

unsigned long tCR95HFCtrl::refMs

Time reference for the timeout and the time completion

Definition at line 216 of file CR95HF.h.

Referenced by CR95HFBridgeStateMachine(), CR95HFCommandManager(), CR95HFEchoStateMachine(), CR95HFField15693StateMachine(), CR95HFFieldOffStateMachine(), CR95HFHibernateStateMachine(), CR95HFInit(), CR95HFManager(), CR95HFReadStateMachine(), CR95HFWriteCommand(), and CR95HFWriteStateMachine().

unsigned long tCR95HFCtrl::resultCode

Result code

Definition at line 221 of file CR95HF.h.

Referenced by CR95HFBridgeStateMachine(), CR95HFEchoStateMachine(), CR95HFField15693StateMachine(), CR95HFFieldOffStateMachine(), CR95HFHibernateStateMachine(), CR95HFReadStateMachine(), CR95HFStartBridge(), CR95HFStartEcho(), CR95HFStartField15693(), CR95HFStartFieldOff(), CR95HFStartHibernate(), CR95HFStartRead(), CR95HFStartWrite(), CR95HFWriteStateMachine(), RFIDBridgeStateMachine(), RFIDExtLpmStateMachine(), RFIDIntLpmStateMachine(), RFIDReadStateMachine(), and RFIDWriteStateMachine().

unsigned short tCR95HFCtrl::RSVD

RESERVED

Definition at line 206 of file CR95HF.h.

unsigned short tCR95HFCtrl::rxPos

Write index of the Rx buffer

Definition at line 212 of file CR95HF.h.

Referenced by CR95HFBridgeStateMachine(), CR95HFCommandManager(), CR95HFEchoStateMachine(), CR95HFField15693StateMachine(), CR95HFFieldOffStateMachine(), CR95HFHibernateStateMachine(), CR95HFInit(), CR95HFManager(), CR95HFReadAnswer(), CR95HFReadStateMachine(), CR95HFWriteCommand(), CR95HFWriteStateMachine(), and RFIDBridgeStateMachine().

unsigned short tCR95HFCtrl::sizeReceive

The number of char as been receive

Definition at line 205 of file CR95HF.h.

unsigned short tCR95HFCtrl::timeout

Last command timeout

Definition at line 203 of file CR95HF.h.

unsigned long tCR95HFCtrl::timeoutMs

tiemout for the current command (ms)

Definition at line 217 of file CR95HF.h.

Referenced by CR95HFBridgeStateMachine(), CR95HFCommandManager(), CR95HFEchoStateMachine(), CR95HFField15693StateMachine(), CR95HFFieldOffStateMachine(), CR95HFHibernateStateMachine(), CR95HFInit(), CR95HFManager(), CR95HFReadStateMachine(), CR95HFWriteCommand(), and CR95HFWriteStateMachine().

unsigned short tCR95HFCtrl::waitForNbrRx

if dif from 0 wait for this number of char receive from uart

Definition at line 215 of file CR95HF.h.

Referenced by CR95HFManager(), and CR95HFWriteCommand().

The documentation for this struct was generated from the following file:

- CR95HF.h